curl -X GET "https://pagamentos.basspago.com.br/api/v2/pix/payments/idempotencyKey/6a1f2e3d-4c5b-6a7f-8e9d-0a1b2c3d4e5f" \
--cert ./client.crt \
--key ./client.key \
--pass "SUA_SENHA_DO_CERTIFICADO" \
-H "Authorization: Bearer {access_token}"
<?php
$idempotencyKey = '6a1f2e3d-4c5b-6a7f-8e9d-0a1b2c3d4e5f';
$ch = curl_init("https://pagamentos.basspago.com.br/api/v2/pix/payments/idempotencyKey/{$idempotencyKey}");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_SSLCERT => './client.crt',
CURLOPT_SSLKEY => './client.key',
CURLOPT_KEYPASSWD => 'SUA_SENHA_DO_CERTIFICADO',
CURLOPT_HTTPHEADER => ['Authorization: Bearer {access_token}'],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
import fs from "node:fs";
import https from "node:https";
import axios from "axios";
const agent = new https.Agent({
cert: fs.readFileSync("./client.crt"),
key: fs.readFileSync("./client.key"),
passphrase: "SUA_SENHA_DO_CERTIFICADO",
});
const idempotencyKey = "6a1f2e3d-4c5b-6a7f-8e9d-0a1b2c3d4e5f";
const { data } = await axios.get(
`https://pagamentos.basspago.com.br/api/v2/pix/payments/idempotencyKey/${idempotencyKey}`,
{
httpsAgent: agent,
headers: { Authorization: "Bearer {access_token}" },
}
);
console.log(data);
{
"id": "pay_9f8e7d6c5b4a",
"status": "SETTLED",
"priority": "HIGH",
"paymentFlow": "INSTANT",
"payment": {
"currency": "BRL",
"amount": 150.00
},
"pixKey": "22255588896",
"pixKeyType": "CPF",
"description": "Pagamento ao fornecedor",
"idempotencyKey": "6a1f2e3d-4c5b-6a7f-8e9d-0a1b2c3d4e5f",
"endToEndId": "E87654321202607211440a1b2c3d4e5f",
"createdAt": "2026-07-21T14:40:00Z",
"settledAt": "2026-07-21T14:40:05Z"
}
Transferências
Consultar transferência
Consulte o status e os dados de uma transferência pela chave de idempotência.
GET
/
api
/
v2
/
pix
/
payments
/
idempotencyKey
/
{idempotencyKey}
curl -X GET "https://pagamentos.basspago.com.br/api/v2/pix/payments/idempotencyKey/6a1f2e3d-4c5b-6a7f-8e9d-0a1b2c3d4e5f" \
--cert ./client.crt \
--key ./client.key \
--pass "SUA_SENHA_DO_CERTIFICADO" \
-H "Authorization: Bearer {access_token}"
<?php
$idempotencyKey = '6a1f2e3d-4c5b-6a7f-8e9d-0a1b2c3d4e5f';
$ch = curl_init("https://pagamentos.basspago.com.br/api/v2/pix/payments/idempotencyKey/{$idempotencyKey}");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_SSLCERT => './client.crt',
CURLOPT_SSLKEY => './client.key',
CURLOPT_KEYPASSWD => 'SUA_SENHA_DO_CERTIFICADO',
CURLOPT_HTTPHEADER => ['Authorization: Bearer {access_token}'],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
import fs from "node:fs";
import https from "node:https";
import axios from "axios";
const agent = new https.Agent({
cert: fs.readFileSync("./client.crt"),
key: fs.readFileSync("./client.key"),
passphrase: "SUA_SENHA_DO_CERTIFICADO",
});
const idempotencyKey = "6a1f2e3d-4c5b-6a7f-8e9d-0a1b2c3d4e5f";
const { data } = await axios.get(
`https://pagamentos.basspago.com.br/api/v2/pix/payments/idempotencyKey/${idempotencyKey}`,
{
httpsAgent: agent,
headers: { Authorization: "Bearer {access_token}" },
}
);
console.log(data);
{
"id": "pay_9f8e7d6c5b4a",
"status": "SETTLED",
"priority": "HIGH",
"paymentFlow": "INSTANT",
"payment": {
"currency": "BRL",
"amount": 150.00
},
"pixKey": "22255588896",
"pixKeyType": "CPF",
"description": "Pagamento ao fornecedor",
"idempotencyKey": "6a1f2e3d-4c5b-6a7f-8e9d-0a1b2c3d4e5f",
"endToEndId": "E87654321202607211440a1b2c3d4e5f",
"createdAt": "2026-07-21T14:40:00Z",
"settledAt": "2026-07-21T14:40:05Z"
}
Essa rota utiliza os certificados e o Bearer Token de Cash Out.
Certificados
Esta rota usa autenticação mútua (mTLS). Envie o certificado de Cash Out, a chave e a senha na requisição:file
required
Certificado de Cash Out do cliente (
client.crt).file
required
Chave privada do cliente (
client.key).string
required
Senha para descriptografar a chave
.key, enviada por e-mail junto com os certificados.Headers
string
required
Bearer Token de Cash Out. Formato:
Bearer {access_token}.Path
string
required
Chave de idempotência usada ao criar a transferência.
Resposta
string
Identificador da transferência na Super Finance.
string
Status da transferência. Exemplos:
PROCESSING, SETTLED, REJECTED.string
Prioridade aplicada (
HIGH ou NORM).string
Fluxo aplicado (
INSTANT ou APPROVAL_REQUIRED).object
Valor da transferência (
currency, amount).string
Chave Pix da conta de destino.
string
Tipo da chave Pix (ex.:
CPF, CNPJ, PHONE, EMAIL, EVP).string
Descrição da transferência.
string
Chave de idempotência usada na requisição.
string
Identificador end-to-end do Pix.
string
Data e hora de criação (ISO 8601).
string
Data e hora da liquidação (ISO 8601). Presente quando a transferência é concluída.
curl -X GET "https://pagamentos.basspago.com.br/api/v2/pix/payments/idempotencyKey/6a1f2e3d-4c5b-6a7f-8e9d-0a1b2c3d4e5f" \
--cert ./client.crt \
--key ./client.key \
--pass "SUA_SENHA_DO_CERTIFICADO" \
-H "Authorization: Bearer {access_token}"
<?php
$idempotencyKey = '6a1f2e3d-4c5b-6a7f-8e9d-0a1b2c3d4e5f';
$ch = curl_init("https://pagamentos.basspago.com.br/api/v2/pix/payments/idempotencyKey/{$idempotencyKey}");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_SSLCERT => './client.crt',
CURLOPT_SSLKEY => './client.key',
CURLOPT_KEYPASSWD => 'SUA_SENHA_DO_CERTIFICADO',
CURLOPT_HTTPHEADER => ['Authorization: Bearer {access_token}'],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
import fs from "node:fs";
import https from "node:https";
import axios from "axios";
const agent = new https.Agent({
cert: fs.readFileSync("./client.crt"),
key: fs.readFileSync("./client.key"),
passphrase: "SUA_SENHA_DO_CERTIFICADO",
});
const idempotencyKey = "6a1f2e3d-4c5b-6a7f-8e9d-0a1b2c3d4e5f";
const { data } = await axios.get(
`https://pagamentos.basspago.com.br/api/v2/pix/payments/idempotencyKey/${idempotencyKey}`,
{
httpsAgent: agent,
headers: { Authorization: "Bearer {access_token}" },
}
);
console.log(data);
{
"id": "pay_9f8e7d6c5b4a",
"status": "SETTLED",
"priority": "HIGH",
"paymentFlow": "INSTANT",
"payment": {
"currency": "BRL",
"amount": 150.00
},
"pixKey": "22255588896",
"pixKeyType": "CPF",
"description": "Pagamento ao fornecedor",
"idempotencyKey": "6a1f2e3d-4c5b-6a7f-8e9d-0a1b2c3d4e5f",
"endToEndId": "E87654321202607211440a1b2c3d4e5f",
"createdAt": "2026-07-21T14:40:00Z",
"settledAt": "2026-07-21T14:40:05Z"
}